/*
 * DEVINFO In dieser Datei können die Parameter für die Berechnungen verändert werden
 */

export const CONVERSION_FACTOR_GAS = 9.77
export const CONVERSION_FACTOR_HEAT_PUMP = 3.5
export const CONVERSION_FACTOR_OIL = 9.94
export const CONVERSION_FACTOR_PELLETS = 5

export const EQUIVALENT_CO2 = {
  DISTRICT_HEATING: 311,
  ELECTRIC_HEATING: 420,
  GAS_HEATING: 247,
  HEAT_PUMP: 420,
  HEAT_PUMP_CLEAN: 0,
  OIL_HEATING: 318,
  PELLETS: 23
}

export const IMPACT_WINDOW_CONDITION = {
  VERY_GOOD: 4,
  GOOD: 3,
  ACCEPTABLE: 2,
  BAD: 1
}

export const IMPACT_WINDOW_GLAZING = {
  SIMPLE_GLAZING: 1,
  DOUBLE_GLAZING: 2.5,
  TRIPLE_GLAZING: 4
}

export const LAMBDA_INSULATION = {
  'EPS': 0.04,
  'XPS': 0.04,
  'PU_PIR': 0.023,
  'MINERAL_WOOL': 0.035,
  'GLAS_WOOL': 0.035,
  'WOOD_FIBRE': 0.05,
  'CHIPPED_WOOD': 0.05,
  'STRAW': 0.06,
  'OTHER': 0.05,
}

export const LAMBDA_ROOF = {
  'FLAT': 80,
  'NORMAL': 85
}

export const LAMBDA_ROOF_THICKNESS = {
  'FLAT': 10,
  'NORMAL': 3
}

export const LAMBDA_STRUCTURE = {
  'BRICKWORK': 35,
  'CONCRETE': 80,
  'WOOD': 10,
  'OTHER': 50,
}

export const REFERENCE_CO2_EMISSION = 0.142
export const REFERENCE_ENERGY_PERFORMANCE = 130
export const REFERENCE_INSULATION_FACADE = 0.28
export const REFERENCE_INSULATION_ROOF = 0.24
