/*
 * DEVINFO In dieser Datei können neue Formularoptionen hinzugefügt oder entfernt werden
 */

export const BUILDING_MATERIAL_OPTIONS = [
  { name: 'Mauer', value: 'BRICKWORK' },
  { name: 'Beton', value: 'CONCRETE' },
  { name: 'Holz', value: 'WOOD' },
  { name: 'Sonstige', value: 'OTHER' }
]

export const INSULATING_MATERIAL_OPTIONS = [
  { name: 'Keine', value: null },
  { name: 'EPS', short: 'EPS', value: 'EPS' },
  { name: 'XPS', short: 'XPS', value: 'XPS' },
  { name: 'PU/PIR', short: 'PU/PIR', value: 'PU_PIR' },
  { name: 'Steinwolle', value: 'MINERAL_WOOL' },
  { name: 'Glaswolle', value: 'GLAS_WOOL' },
  { name: 'Holzfaser', value: 'WOOD_FIBRE' },
  { name: 'Holzspäne', value: 'CHIPPED_WOOD' },
  { name: 'Stroh', value: 'STRAW' },
  { name: 'Sonstiges', value: 'OTHER' }
]

export const HEATING_INSTALLATION_OPTIONS = [
  { name: 'Fernwärme', value: 'DISTRICT_HEATING' },
  { name: 'Öl', value: 'OIL_HEATING' },
  { name: 'Gas', value: 'GAS_HEATING' },
  { name: 'Wärmepumpe Strommix', value: 'HEAT_PUMP' },
  { name: 'Wärmepumpe Ökostrom', value: 'HEAT_PUMP_CLEAN' },
  { name: 'Pellets', value: 'PELLETS' }
]

export const HEATING_TYPE_OPTIONS = [
  { name: 'Fernwärme', value: 'DISTRICT_HEATING' },
  { name: 'Öl', value: 'OIL_HEATING' },
  { name: 'Gas', value: 'GAS_HEATING' },
  { name: 'Stromheizung', value: 'ELECTRIC_HEATING' }
]

export const ROLE_OPTIONS = [
  { name: 'Verwalter', value: 'administrator' },
  { name: 'Eigentümer', value: 'user' },
]

export const ROOF_CLOUDING_OPTIONS = [
  { name: 'nicht verschattet', value: 4 },
  { name: 'wenig verschattet', value: 3 },
  { name: 'mittel verschattet', value: 2 },
  { name: 'viel verschattet', value: 1 }
]

export const WINDOW_CONDITION_OPTIONS = [
  { name: 'Sehr gut', value: 'VERY_GOOD' },
  { name: 'Gut', value: 'GOOD' },
  { name: 'Akzeptabel', value: 'ACCEPTABLE' },
  { name: 'Schlecht', value: 'BAD' }
]

export const WINDOW_FRAME_OPTIONS = [
  { name: 'Aluminium', value: 'ALUMINIUM' },
  { name: 'Holz', value: 'WOOD' },
  { name: 'Kunststoff', value: 'PLASTIC' },
  { name: 'Holz-Alu', value: 'WOOD_ALUMINIUM' },
  { name: 'Kunststoff-Alu', value: 'PLASTIC_ALUMINIUM' },
  { name: 'Stahl', value: 'STEEL' }
]
export const WINDOW_GLAZING_OPTIONS = [
  { name: '1-fach', value: 'SIMPLE_GLAZING' },
  { name: '2-fach', value: 'DOUBLE_GLAZING' },
  { name: '3-fach', value: 'TRIPLE_GLAZING' }
]