const model = {}

Object.freeze(model)

export const ModelEnum = model

const response = {
  Confirm: 'CONFIRMATION_REQUIRED',
  Created: 'ITEM_CREATED',
  EmailInUse: 'EMAIL_ALREADY_IN_USE',
  Exists: 'EXISTS',
  Expired: 'TOKEN_EXPIRED',
  InvalidInput: 'INVALID_INPUT',
  LoggedIn: 'LOGIN_SUCCESSFUL',
  MissingData: 'MISSING_DATA',
  MissingParameter: 'MISSING_PARAMETER',
  NotAllowed: 'NOT_ALLOWED',
  NotCreated: 'CANNOT_CREATE_ITEM',
  NotFound: 'NOT_FOUND',
  PrefixUnavailable: 'PREFIX_UNAVAILABLE',
  Registered: 'REGISTRATION_SUCCESSFUL',
  UpdateSuccess: 'UPDATE_SUCCESSFUL',
  ValidationError: 'VALIDATION_ERROR',
  WrongCredentials: 'EMAIL_OR_PASSWORD_WRONG'
}

Object.freeze(response)

export const ResponseCode = response
