import mongoose from 'mongoose'

export const simulationSchema = new mongoose.Schema({
  building: mongoose.SchemaTypes.ObjectId,
  gmlId: {
    type: String,
    default: null
  },
  prefetched: {
    type: Object,
    default: {}
  },
  result: {
    type: Object,
    default: {}
  },
  createdAt: {
    type: Date,
    immutable: true,
    default: () => Date.now()
  }
})

export default mongoose.model('Simulation', simulationSchema)
